adjudication
Create adjudication items
Requires scopes: admin:org
POST
/
api
/
adjudication
/
items
Create adjudication items
curl --request POST \
--url https://evalgate.com/api/adjudication/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"reasonCode": "judge_disagreement",
"sourceType": "synthetic_candidate",
"sourceId": "<string>",
"evaluationId": 123,
"severity": "low",
"summary": "<string>",
"assignedTo": "<string>",
"provenance": {
"sourceLabel": "<string>",
"redactedPreview": {},
"traceKey": "<string>",
"evalCaseId": "<string>",
"confidence": 123
}
}
'import requests
url = "https://evalgate.com/api/adjudication/items"
payload = {
"title": "<string>",
"reasonCode": "judge_disagreement",
"sourceType": "synthetic_candidate",
"sourceId": "<string>",
"evaluationId": 123,
"severity": "low",
"summary": "<string>",
"assignedTo": "<string>",
"provenance": {
"sourceLabel": "<string>",
"redactedPreview": {},
"traceKey": "<string>",
"evalCaseId": "<string>",
"confidence": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
reasonCode: 'judge_disagreement',
sourceType: 'synthetic_candidate',
sourceId: '<string>',
evaluationId: 123,
severity: 'low',
summary: '<string>',
assignedTo: '<string>',
provenance: {
sourceLabel: '<string>',
redactedPreview: {},
traceKey: '<string>',
evalCaseId: '<string>',
confidence: 123
}
})
};
fetch('https://evalgate.com/api/adjudication/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"reasonCode": "<string>",
"status": "<string>",
"severity": "<string>",
"sourceType": "<string>",
"sourceId": "<string>",
"evaluationId": 123,
"title": "<string>",
"summary": "<string>",
"provenance": {
"sourceLabel": "<string>",
"redactedPreview": {},
"traceKey": "<string>",
"evalCaseId": "<string>",
"confidence": 123
},
"assignedTo": "<string>",
"createdBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"resolvedAt": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
reasonCode
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
required
Available options:
judge_disagreement sourceType
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
required
Available options:
synthetic_candidate severity
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
low Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
⌘I
Create adjudication items
